Unable to update to Lightroom Classic 10

Explorer ,
Nov 05, 2020 Nov 05, 2020

Copy link to clipboard

Copied

Hi,

 

I've used Lightroom for years, and I currently have Lightroom Classic 9.4, paid monthly. I've read about update 10, but it doesn't show in my Lightroom  help>update panel so I can't update.

 

I run 9.4 on a Mac Air Catalina 10.15.7. Is that the problem? If so, why would LRC run 9.4 but not 10. If not, how can I get upgraded to 10?

 

I've run a search for threads hear but haven't found this question.

 

Thanks

TOPICS
Download and install

Views

177

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 2 Correct Answers

LEGEND , Nov 05, 2020 Nov 05, 2020
You should not update via help>update panel Instead use the Adobe Creative Cloud Desktop App for thatBe aware that a new copy of the Adobe Creative Cloud Desktop should have been installedBe aware to look for some text to the left of the install buttons talking about updates (a change from past appearance)

Likes

Translate

Translate
Explorer , Nov 05, 2020 Nov 05, 2020
I don't use Creative Cloud and didn't realize I needed to update through the app. I've done that now, update complete, and thank you all for your help!

Likes

Translate

Translate
LEGEND ,
Nov 05, 2020 Nov 05, 2020

Copy link to clipboard

Copied

You should not update via help>update panel 

Instead use the Adobe Creative Cloud Desktop App for that

Be aware that a new copy of the Adobe Creative Cloud Desktop should have been installed

Be aware to look for some text to the left of the install buttons talking about updates (a change from past appearance)

 

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Nov 05, 2020 Nov 05, 2020

Copy link to clipboard

Copied

LATEST

Thanks so much. This straightened me out.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Nov 05, 2020 Nov 05, 2020

Copy link to clipboard

Copied

This up grades requires a min of 8GB Ram, earlier versions was 4GB.

Regards, Denis: iMac mid-2015, 5K 27”, GPU 2GB, Ram 24GB, HDD 3TB, macOS 11.2.3, LrC 10.2, Lr 4.1, Ps 22.3, Pr 14.8.0; Camera OM-D E-M1.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Nov 05, 2020 Nov 05, 2020

Copy link to clipboard

Copied

Some people have to specifically sign out of the Creative Cloud application and then sign back in to get new updates. Other people, as implied elsewhere, have an older version of the Creative Cloud application and so cannot access new updates. Both of these, I suppose, are "bugs". On the other hand, if your hardware or operating system will not meet the minimum requirements for an update, then you shouldn't get the update, and this is not a "bug", its the way Adobe has designed this. (Your operating system 10.15.7 is not a reason you shouldn't get the update, it meets the minimum requirements.)

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Explorer ,
Nov 05, 2020 Nov 05, 2020

Copy link to clipboard

Copied

I don't use Creative Cloud and didn't realize I needed to update through the app. I've done that now, update complete, and thank you all for your help!

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines